<!--
  @description:招标-招标阶段-路由index
  @Modifier：haoFx
  @routerPath: /bidding/projectDrive/bulletin
  @date：2019/11/14-10:34
  isCanOperate: true可以操作 false不可以查看只有查看权限
-->
<template>
  <div>
    <router-view :display="display" />
  </div>
</template>

<script>
/* api*/
import { queryTenderBulletinNumByTenderId } from '@/api/bidding/bidBulletin'// 查询是否公告提交
import { getSystemConfigValueByConfigType } from '@/api/common/systemConfigCenter'
export default {
  name: 'BulletinContent',
  data() {
    return {
      tenderBase: this.$store.getters.tenderBase, // 项目信息
      display: '01', // 是否展示新增按钮 01 不展示 00 展示
      tenderId: this.$route.query.id, // 项目Id
      isSimpleBulletin: '' // 系统配置招标公告是否简单版本 00否 01是
    }
  },
  watch: {
    $route() {
      this.getSystemConfigValueByConfigType() // 获取招标公告是否启用简易版
      this.initData()// 查询是否公告提交
    }
  },
  created() {
    this.getSystemConfigValueByConfigType() // 获取招标公告是否启用简易版
    this.initData()// 查询是否公告提交
  },
  methods: {
    // 获取招标公告显示版本控制 01启用简易版招标公告
    getSystemConfigValueByConfigType() {
      getSystemConfigValueByConfigType('tenderBulletin-isSimpleBulletin').then((res) => {
        this.isSimpleBulletin = res.data
      })
    },
    /* 查询是否公告提交*/
    initData() {
      const data = {
        bulletinType: this.tenderBase.bulletinType, // 01 招标公告 21 资审公告
        tenderId: this.$route.query.id
      }
      queryTenderBulletinNumByTenderId(data).then(res => {
        const { display, auditStatus, isJumpList, bulletinNum } = res.data
        this.display = display// 是否展示新增按钮 01 不展示 00 展示
        // 公告数量
        if (bulletinNum > 0) { // 当公告数量大于0
          // 一个公告是否包含全部标段
          if (isJumpList === '01') { // 包含全部标段不进入列表
            // 审核状态
            if (auditStatus === '00' || auditStatus === '01') { // 00审核中,01通过
              this.pushRouter('02', res.data) // 驱动内直接展示详情页
            } else if (auditStatus === '02') { // 02驳回
              this.pushRouter('00', res.data) // 新增修改界面
            } else { // 未新增过
              this.pushRouter('00', res.data) // 新增界面
            }
          } else { // 不包含
            //  进入列表页
            this.pushRouter('01', res.data)
          }
        } else {
          //  进入新增页
          this.pushRouter('00', res.data)
        }
      })
    },
    // type 00 驱动内新增页 01 驱动内列表页 02 驱动内直接展示详情页
    pushRouter(type, info) {
      // router携带参数
      let path = ''// 路由地址
      const query = {
        ...this.$route.query,
        bulletinId: info.bulletinId // 招标公告(资审公告)Id
      }
      //  招标公告跳转路由
      if (this.tenderBase.bulletinType === '01') {
        if (type === '00' && this.tenderBase.isCanOperate) {
          //  招标公告新增页 isSimpleBulletin=01使用简易版招标公告 00使用老版
          if (this.isSimpleBulletin === '01') {
            path = '/bidding/projectDrive/bulletin/newTenderBulletin-add'
          } else {
            path = '/bidding/projectDrive/bulletin/tabs/tenderBulletIinInfo-add'
          }
        } else if (type === '01') {
          // 招标公告列表页
          path = '/bidding/projectDrive/bulletin/bidBulletinList'
        } else if (type === '02') {
          // 招标公告详情页 isSimpleBulletin=01使用简易版招标公告 00使用老版
          if (this.isSimpleBulletin === '01') {
            path = '/bidding/projectDrive/bulletin/newTenderBulletin-detail'
          } else {
            path = '/bidding/projectDrive/bulletin/makeTenderingBulletinPdf'
          }
        }
      }
      // 资审公告跳转路由
      if (this.tenderBase.bulletinType === '21') {
        if (type === '00' && this.tenderBase.isCanOperate) {
          //  资审公告新增页 isSimpleBulletin=01使用简易版招标公告 00使用老版
          if (this.isSimpleBulletin === '01') {
            path = '/bidding/projectDrive/bulletin/newTenderBulletin-add'
          } else {
            path = '/bidding/projectDrive/bulletin/tabs/tenderBulletIinInfo-add'
          }
        } else if (type === '01') {
          // 资审公告列表页
          path = '/bidding/projectDrive/zsBulletin/bidBulletinList'
        } else if (type === '02') {
          // 招标公告详情页 isSimpleBulletin=01使用简易版招标公告 00使用老版
          if (this.isSimpleBulletin === '01') {
            path = '/bidding/projectDrive/bulletin/newTenderBulletin-detail'
          } else {
            path = '/bidding/projectDrive/bulletin/makeTenderingBulletinPdf'
          }
        }
      }
      // 路由跳转
      this.$router.push({ path: path,
        query: {
          ...query,
          bulletinPageType: type// 当前页面从哪进来的 00 驱动内新增页 01 驱动内列表页 02 驱动内直接展示详情页
        }
      })
    }
  }
}
</script>

<style scoped>
</style>
